--- configure.orig.orig	Sat Aug 28 21:03:47 2004
+++ configure	Mon Oct 15 19:24:28 2007
@@ -22725,6 +22725,12 @@
 
   if test "$have_faad" != "no"
   then
+    ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
     echo "$as_me:$LINENO: checking for MP4Read in -lmp4v2" >&5
 echo $ECHO_N "checking for MP4Read in -lmp4v2... $ECHO_C" >&6
 if test "${ac_cv_lib_mp4v2_MP4Read+set}" = set; then
@@ -22763,7 +22769,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
+	 { ac_try='test -z "$ac_cxx_werror_flag"
 			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
@@ -22804,6 +22810,12 @@
   have_faad="no"
 fi
 
+    ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
   fi
 fi
 
@@ -22851,18 +22863,18 @@
     LDFLAGS="$LDFLAGS -L$with_flac/lib"
   fi
 
-  if test "${ac_cv_header_faad_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for faad.h" >&5
-echo $ECHO_N "checking for faad.h... $ECHO_C" >&6
-if test "${ac_cv_header_faad_h+set}" = set; then
+  if test "${ac_cv_header_FLAC_stream_decoder_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for FLAC/stream_decoder.h" >&5
+echo $ECHO_N "checking for FLAC/stream_decoder.h... $ECHO_C" >&6
+if test "${ac_cv_header_FLAC_stream_decoder_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_faad_h" >&5
-echo "${ECHO_T}$ac_cv_header_faad_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_FLAC_stream_decoder_h" >&5
+echo "${ECHO_T}$ac_cv_header_FLAC_stream_decoder_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking faad.h usability" >&5
-echo $ECHO_N "checking faad.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking FLAC/stream_decoder.h usability" >&5
+echo $ECHO_N "checking FLAC/stream_decoder.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -22870,7 +22882,7 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <faad.h>
+#include <FLAC/stream_decoder.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -22906,15 +22918,15 @@
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking faad.h presence" >&5
-echo $ECHO_N "checking faad.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking FLAC/stream_decoder.h presence" >&5
+echo $ECHO_N "checking FLAC/stream_decoder.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <faad.h>
+#include <FLAC/stream_decoder.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -22948,25 +22960,25 @@
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: faad.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: faad.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: faad.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: faad.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: faad.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: faad.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: faad.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: faad.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: faad.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: faad.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: faad.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: faad.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: faad.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: faad.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: faad.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: faad.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: FLAC/stream_decoder.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: FLAC/stream_decoder.h: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------- ##
@@ -22977,24 +22989,30 @@
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for faad.h" >&5
-echo $ECHO_N "checking for faad.h... $ECHO_C" >&6
-if test "${ac_cv_header_faad_h+set}" = set; then
+echo "$as_me:$LINENO: checking for FLAC/stream_decoder.h" >&5
+echo $ECHO_N "checking for FLAC/stream_decoder.h... $ECHO_C" >&6
+if test "${ac_cv_header_FLAC_stream_decoder_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_faad_h=$ac_header_preproc
+  ac_cv_header_FLAC_stream_decoder_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_faad_h" >&5
-echo "${ECHO_T}$ac_cv_header_faad_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_FLAC_stream_decoder_h" >&5
+echo "${ECHO_T}$ac_cv_header_FLAC_stream_decoder_h" >&6
 
 fi
-if test $ac_cv_header_faad_h = yes; then
+if test $ac_cv_header_FLAC_stream_decoder_h = yes; then
   have_flac="maybe"
 fi
 
 
   if test "$have_flac" != "no"
   then
+    ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
     echo "$as_me:$LINENO: checking for FLAC__stream_decoder_new in -lFLAC" >&5
 echo $ECHO_N "checking for FLAC__stream_decoder_new in -lFLAC... $ECHO_C" >&6
 if test "${ac_cv_lib_FLAC_FLAC__stream_decoder_new+set}" = set; then
@@ -23033,7 +23051,7 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
+	 { ac_try='test -z "$ac_cxx_werror_flag"
 			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
@@ -23073,6 +23091,12 @@
 else
   have_flac="no"
 fi
+
+    ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
   fi
 fi
